
class RiskListController < BaseRiskApplicationController
  menu_item :risks

  before_filter :find_project
  before_filter :require_login
  before_filter :authorize


  def index

    @risk_category_id =( params[:risk] ? params[:risk][:risk_category_id] : nil )

    @select_categories = RiskCategory.find :all, :conditions=>["status = ?", RiskCategory::STATUS_ACTIVE.to_i]

    return render_404 if !@select_categories.nil? && @select_categories.size > 0 && @risk_category_id && !exist(@select_categories , @risk_category_id)

    risks_search

    render :template => 'risk_list/index.rhtml', :layout => !request.xhr?
  end
end
