module ProjectIncidentsHelper

  def correction_status_values
    h = {}
    h[ProjectIncident::CORRECTION_STATUS_NONE.to_i] = l(:none_label)
    h[ProjectIncident::CORRECTION_STATUS_RESOLVED.to_i] = l(:resolved_label)
    h[ProjectIncident::CORRECTION_STATUS_NOT_RESOLVED.to_i] = l(:not_resolved_label)
    h[ ProjectIncident::CORRECTION_STATUS_IN_PROGRESS.to_i] =  l(:in_progress_label)
    h
  end

  
  def correction_status_choices
    correction_status_values.invert.to_a.sort_by {|a,b| b}
  end

  def correction_status_label(val)
    correction_status_values[val]
  end
end
