module ProjectRisksHelper

  

  def mitigation_status_values
    h = {}
    h[ProjectRisk::MITIGATION_STATUS_NONE.to_i] = l(:none_label)
    h[ProjectRisk::MITIGATION_STATUS_ACEITAR.to_i] = l(:aceitar)
    h[ProjectRisk::MITIGATION_STATUS_COMPARTILHAR.to_i] = l(:compartilhar)
    h[ProjectRisk::MITIGATION_STATUS_EVITAR.to_i] =  l(:evitar)
    h[ProjectRisk::MITIGATION_STATUS_EXPLORAR.to_i] = l(:explorar)
    h[ProjectRisk::MITIGATION_STATUS_MELHORAR.to_i] = l(:melhorar)
    h[ProjectRisk::MITIGATION_STATUS_MITIGAR.to_i] = l(:mitigar)    
    h[ProjectRisk::MITIGATION_STATUS_TRANSFERIR.to_i] =  l(:transferir)
    h
  end


  def mitigation_status_choices
    mitigation_status_values.invert.to_a.to_a.sort_by {|a,b| b}
  end

  def status_label(val)
    mitigation_status_values[val]
  end

    
  
  def level_values
   h = {}
   h[0] = l(:prob_null)
   h[1] = l(:very_low_label)
   h[2] = l(:low_label)
   h[3] = l(:medium_label)
   h[4] = l(:high_label)
   h[5] = l(:very_high_label)
   h
  end

  
  #*----------------------------------------------------------------------------------------------------------------------
  def prob_level_values
   h = {}
   h[0] = l(:prob_null)
   h[1] = l(:prob_very_low_label)
   h[2] = l(:prob_low_label)
   h[3] = l(:prob_medium_label)
   h[4] = l(:prob_high_label)
   h[5] = l(:prob_very_high_label)   
   h
  end


  def prob_level_choices
    prob_level_values.invert.to_a.to_a.sort_by {|a,b| b}
  end

  def prob_level_label(val)
    prob_level_values[val]
  end  
   #*----------------------------------------------------------------------------------------------------------------------
  
   
  
  
  

  def level_choices
    level_values.invert.to_a.to_a.sort_by {|a,b| b}
  end

  def level_label(val)
    level_values[val]
  end

  def exposure_level_values
   h = {}   
   h[1] = '10%'
   h[2] = '20%'
   h[3] = '30%'
   h[4] = '40%'
   h[5] = '50%'
   h[6] = '60%'
   h[7] = '70%'
   h[8] = '80%'
   h[9] = '90%'
   h[10] = '100%'   
   h
  end


  def exposure_level_choices
    exposure_level_values.invert.to_a.to_a.sort_by {|a,b| b}
  end
end
