module RisksHelper

  
  def risk_status_values
    h = {}    
    h[Risk::STATUS_NONE.to_i]=l(:nenhum)
    h[Risk::STATUS_ACEITAR.to_i]=l(:aceitar)
    h[Risk::STATUS_COMPARTILHAR.to_i]=l(:compartilhar)
    h[Risk::STATUS_EVITAR.to_i]=l(:evitar)
    h[Risk::STATUS_EXPLORAR.to_i]=l(:explorar)
    h[Risk::STATUS_MELHORAR.to_i]=l(:melhorar)
    h[Risk::STATUS_MITIGAR.to_i]=l(:mitigar)    
    h[Risk::STATUS_TRANSFERIR.to_i]=l(:transferir)
    h
  end


  def risk_status_choices
    risk_status_values.invert.to_a.to_a.sort_by {|a,b| a}
  end

  def risk_status_label(val)
    risk_status_values[val]
  end
end
