class CreateRisks < ActiveRecord::Migration
  def self.up    	
    create_table :risks do |t|
	    t.column :name, :string, :null => false
	
	    t.column :description, :string
	
	    t.column :mitigation, :text
	
	    t.column :contingency, :text
	    	
	    t.column :status, :integer, :default => 1, :null => false
	
	    t.belongs_to :risk_category	   	
    end
  end

  def self.down
    drop_table :risks
  end
end
