require File.expand_path(File.dirname(__FILE__) + '/../../test/test_helper')


# rake command to record the trace of the selenium tests
# initiliaze the database with the fixtures of the plugin
# execute ---> 1º purge 2º load
# 3º create the test cases with selenium
namespace :risks do  
  namespace :test do
  	ENV["RAILS_ENV"] ||= "test"
	namespace :selenium do  
  	  	
			
		task :load do
													
		        puts "before must be purged, execute command rake risks:test:selenium:clean"
			fixtures_dir = File.expand_path(File.join(File.dirname(__FILE__), '/../../test/fixtures') )
			
			
			Fixtures.create_fixtures(fixtures_dir, 'risk_categories')
			Fixtures.create_fixtures(fixtures_dir, 'risks')
			Fixtures.create_fixtures(fixtures_dir, 'projects')
			Fixtures.create_fixtures(fixtures_dir, 'users')
			Fixtures.create_fixtures(fixtures_dir, 'members')
			Fixtures.create_fixtures(fixtures_dir, 'roles')
			Fixtures.create_fixtures(fixtures_dir, 'enabled_modules')
			Fixtures.create_fixtures(fixtures_dir, 'project_risks')
			Fixtures.create_fixtures(fixtures_dir, 'project_incidents')
			Fixtures.create_fixtures(fixtures_dir, 'issues')
			Fixtures.create_fixtures(fixtures_dir, 'trackers')
			Fixtures.create_fixtures(fixtures_dir, 'projects_trackers')
			Fixtures.create_fixtures(fixtures_dir, 'issue_statuses')
			Fixtures.create_fixtures(fixtures_dir, 'issue_categories')
			Fixtures.create_fixtures(fixtures_dir, 'enumerations')			
			
		end
		
		task :clean do
			 puts "before must be purged, execute command rake risks:test:selenium:purge"
			 # unknown error cannot be executed via.....
			 Rake::Task['db:migrate'].invoke
			 puts "db_migrate"
			 Rake::Task['db:migrate_plugins'].invoke
			 puts "db_migrate_plugins"		
		end
		
		task :purge do			
			Rake::Task['db:test:purge'].invoke
			puts "purge"
		end
		
		
		
			
	end  	  
  end
end
