module ProjectRiskStatisticsHelper

  def compose_rows(data,translator)

    result =  Array.new

    (0..translator.size-1).each { |i|
      value = translator[i][0]
      key = translator[i][1]

      row = Row.new
      row.name = value
      row.value= key

      item = get_item_of_data_whose_value_equal_key(key,  data)

      row.count = item.nil? ? 0 : item['count']

      result << row

    } unless translator.nil?

    result
  end

  private
  def get_item_of_data_whose_value_equal_key( key,  data)
    result = nil

    data.each { |item|
      result = item if item['value'].to_i == key
    } unless data.nil?

    result
  end
end
