module RiskCategoriesHelper

  def category_status_values
    h = {}
    h[RiskCategory::STATUS_INACTIVE.to_i]=l(:inactive_label)
    h[RiskCategory::STATUS_ACTIVE.to_i]=l(:active_label)
    h
  end


  def category_status_choices
    category_status_values.invert.to_a.to_a.sort_by {|a,b| a}
  end

  def category_status_label(val)
    category_status_values[val]
  end
end
