namespace :risks do
  my_plugin_name = "redmine_risks"
  namespace :db do  
  	
  	#== execute Plugin.migrate 
  	#== without version-> migrate without version
	#== with version->migrate to the inserted version
	task :migrate => :environment do  
		if Rails.respond_to?('plugins')
      			Rails.plugins.each do |plugin|
        		next unless (plugin.respond_to?('migrate') && plugin.name == my_plugin_name )
				unless ENV.include?("VERSION")
					plugin.migrate
					puts "Migrating plugin: #{plugin.name}"		
				else
					plugin.migrate(ENV['VERSION'].to_i)
					puts "Migrating plugin: #{plugin.name} to version #{ ENV['VERSION']}"					
				end
			end		
      		else
      			puts "Undefined method plugins for Rails!"
      			puts "Make sure engines plugin is installed."
      		end				
	end
  	  
  end
end
