require File.dirname(__FILE__) + '/../../test_helper'



class ProjectRisksHelperTest < Test::Unit::TestCase

  include ProjectRisksHelper
    				
  	 		
  def test_mitigation_status_values_correct_range
	  h = mitigation_status_values
	  range = (0..3)
	  	  	
	  test_hash_keys_include_in_range( h , range )	
  end

  def test_mitigation_status_choices_order_asc
	
	  a = mitigation_status_choices
	  asc = true
	  	  		
	  test_order_of_bidimensional_array_for_select_in_view( a , asc )
	    	
  end

  def test_level_values_correct_range
	  	  	  	
	  test_hash_keys_include_in_range( level_values , (1..5) )	
  end


  def test_level_choices_order_asc
	  	  	  	  		
	  test_order_of_bidimensional_array_for_select_in_view( level_choices  , true )	    	
  end


end
